| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
uiLabeledListBox Class Reference
uiBase

uiLabeledListBox. Deprecated. Don't use in new code More...

`#include <uilistbox.h>`

Inheritance diagram for uiLabeledListBox:
[legend]

## Public Types
enum | LblPos { LeftTop , RightTop , LeftMid , RightMid , AboveLeft , AboveMid , AboveRight , BelowLeft , BelowMid , BelowRight }
Public Types inherited from uiListBox
enum | DecorationPos { Left , Right }
enum | DecorationType { Pixmap , Star , Legacy , Invisible , None }
enum | LblPos { LeftTop , RightTop , LeftMid , RightMid , AboveLeft , AboveMid , AboveRight , BelowLeft , BelowMid , BelowRight }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| uiLabeledListBox (uiParent *, const BufferStringSet &, const uiString &lbltxt, OD::ChoiceMode, LblPos p=LeftMid)
| uiLabeledListBox (uiParent *, const uiString &lbltxt)
| uiLabeledListBox (uiParent *, const uiString &lbltxt, OD::ChoiceMode, LblPos p=LeftMid)
| ~uiLabeledListBox ()
uiListBox * | box ()
Public Member Functions inherited from uiListBox
| uiListBox (uiParent *, const BufferStringSet &, const char *nm, OD::ChoiceMode cm, int prefNrLines=0, int prefFieldWidth=0)
| uiListBox (uiParent *, const BufferStringSet &, const char *nm=0)
| uiListBox (uiParent *, const char *nm, OD::ChoiceMode cm=OD::ChooseOnlyOne)
| uiListBox (uiParent *, const Setup &, const char *nm)
| uiListBox (uiParent *, const uiString &lbl, OD::ChoiceMode cm=OD::ChooseOnlyOne, uiListBox::LblPos lp=uiListBox::LeftTop, const char *nm="listbox")
| uiListBox (uiParent *, const uiStringSet &, const char *nm, OD::ChoiceMode cm, int prefNrLines=0, int prefFieldWidth=0)
virtual | ~uiListBox ()
void | addItem (const char *str, bool marked=false, int id=-1)
void | addItem (const uiString &, bool marked=false, int id=-1)
void | addItem (const uiString &, const OD::Color &, int id=-1)
void | addItem (const uiString &, const uiPixmap &, int id=-1)
void | addItems (const BufferStringSet &)
void | addItems (const char **)
void | addItems (const uiStringSet &)
void | addLabel (const uiString &, LblPos)
Alignment::HPos | alignment () const
void | blockScrolling (bool yn)
uiGroup * | checkGroup ()
OD::ChoiceMode | choiceMode () const
void | chooseAll (bool yn=true)
int | currentItem () const
int | currentItemID () const
void | disableRightClick (bool yn)
void | displayItem (int, bool)
bool | dragEnabled () const
int | firstChosen () const
void | getChosen (BufferStringSet &) const
void | getChosen (TypeSet< int > &) const
OD::Color | getColor (int) const
int | getItemID (int idx) const
int | getItemIdx (int id) const
| First match.
void | getItems (BufferStringSet &) const
const char * | getText () const
bool | handleLongTabletPress ()
int | indexOf (const char *) const
| First match.
void | insertItem (const uiString &, const OD::Color &, int idx=-1, int id=-1)
void | insertItem (const uiString &, const uiPixmap &, int idx=-1, int id=-1)
void | insertItem (const uiString &, int idx=-1, bool marked=false, int id=-1)
bool | isChoosable (int) const
bool | isChosen (int) const
bool | isEmpty () const
bool | isItemChecked (int) const
| To be called by CmdDriver only, not for casual use.
bool | isMarked (int) const
bool | isMultiChoice () const
bool | isPresent (const char *) const
uiLabel * | label (int nr=0)
uiCheckBox * | masterCheckBox ()
int | maxNrOfChoices () const
| mOD_DisableCopy (uiListBox) uiListBoxObj *box()
int | nextChosen (int prev=-1) const
int | nrChosen () const
int | nrLabels () const
void | offerReadWriteSelection (const CallBack &readcb, const CallBack &writecb)
uiCheckBox * | primaryCheckBox ()
void | removeItem (const char *)
void | removeItem (const StringView &fs)
void | removeItem (int)
void | resizeHeightToContents (int minh=-1, int maxh=-1)
void | resizeToContents (int minw=-1, int maxw=-1, int minh=-1, int maxh=-1)
void | resizeWidthToContents (int minw=-1, int maxw=-1)
void | scrollToBottom ()
void | scrollToTop ()
void | setAlignment (Alignment::HPos)
void | setAllowDuplicates (bool yn)
void | setAllowNoneChosen (bool)
void | setBold (int, bool)
void | setChoiceMode (OD::ChoiceMode)
void | setChoosable (int, bool yn)
void | setChosen (const BufferStringSet &)
void | setChosen (const TypeSet< int > &)
void | setChosen (int, bool yn=true)
void | setChosen (Interval< int >, bool yn=true)
void | setColor (int, const OD::Color &)
void | setCurrentItem (const char *)
| First match.
void | setCurrentItem (const StringView &fs)
void | setCurrentItem (int)
void | setDefaultColor (int)
void | setDragEnabled (bool)
void | setEmpty ()
void | setFieldWidth (int)
void | setHSzPol (uiObject::SzPolicy)
void | setIcon (int, const char *icon_identifier)
void | setItemID (int idx, int id)
void | setItemSelectable (int, bool)
void | setItemText (int idx, const char *txt)
void | setItemText (int, const uiString &)
void | setLabelText (const uiString &, int nr=0)
void | setMarked (int, DecorationType markingop=Legacy)
void | setMultiChoice (bool yn=true)
void | setNotSelectable ()
void | setNrLines (int)
void | setPixmap (int, const OD::Color &, DecorationPos=Left)
void | setPixmap (int, const uiPixmap &, DecorationPos=Left)
void | setVSzPol (uiObject::SzPolicy)
int | size () const
void | sortItems (bool asc=true)
const char * | textOfItem (int) const
bool | validIdx (int) const
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Additional Inherited Members
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiListBox
Notifier< uiListBox > | checkAllClicked
Notifier< uiListBox > | deleteButtonPressed
Notifier< uiListBox > | doubleClicked
CNotifier< uiListBox, int > | itemChosen
Notifier< uiListBox > | leftButtonClicked
Notifier< uiListBox > | rightButtonClicked
Notifier< uiListBox > | selectionChanged
Protected Member Functions inherited from uiListBox
void | addItemNoUpdate (const uiString &, bool marked=false, int id=-1)
void | checkCB (CallBacker *)
void | mkCheckGroup ()
void | mkLabel (const uiString &, LblPos)
void | updateCheckState ()
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Attributes inherited from uiListBox
uiCheckBox * | cb_
uiGroup * | checkgrp_
uiListBoxObj * | lb_
ObjectSet< uiLabel > | lbls_
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

uiLabeledListBox. Deprecated. Don't use in new code

<>

## Member Enumeration Documentation

## ◆ LblPos

enum uiLabeledListBox::LblPos

Enumerator
LeftTop |
RightTop |
LeftMid |
RightMid |
AboveLeft |
AboveMid |
AboveRight |
BelowLeft |
BelowMid |
BelowRight |

## Constructor & Destructor Documentation

## ◆ uiLabeledListBox() [1/3]

uiLabeledListBox::uiLabeledListBox | ( | uiParent * | ,
|  | const uiString & | lbltxt )

## ◆ uiLabeledListBox() [2/3]

uiLabeledListBox::uiLabeledListBox | ( | uiParent * | ,
|  | const uiString & | lbltxt,
|  | OD::ChoiceMode | ,
|  | LblPos | p = LeftMid )

## ◆ uiLabeledListBox() [3/3]

uiLabeledListBox::uiLabeledListBox | ( | uiParent * | ,
|  | const BufferStringSet & | ,
|  | const uiString & | lbltxt,
|  | OD::ChoiceMode | ,
|  | LblPos | p = LeftMid )

## ◆ ~uiLabeledListBox()

uiLabeledListBox::~uiLabeledListBox | ( |  | ) |

## Member Function Documentation

## ◆ box()

uiListBox * uiLabeledListBox::box | ( |  | ) |
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025